//
//  CHMenuAdditions.h
//  Chocolat
//
//  Created by Pieter Omvlee on 8/13/08.
//  Copyright 2008 Insearchofaname. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSMenu (CHMenuAdditions)

- (NSMenuItem *)addItemWithTitle:(NSString *)aString small:(BOOL)smallFont target:(id)aTarget action:(SEL)aSelector;

- (NSMenuItem *)addSmallItemWithTitle:(NSString *)aString target:(id)aTarget action:(SEL)aSelector;
- (NSMenuItem *)addSmallItemWithTitle:(NSString *)aString target:(id)aTarget action:(SEL)aSelector submenu:(NSMenu *)submenu;

- (NSMenuItem *)addItemWithTitle:(NSString *)aString target:(id)aTarget action:(SEL)aSelector;
- (NSMenuItem *)addItemWithTitle:(NSString *)aString target:(id)aTarget action:(SEL)aSelector representedObject:(id)anObject;
- (NSMenuItem *)addItemWithTitle:(NSString *)aString target:(id)aTarget action:(SEL)aSelector submenu:(NSMenu *)submenu;

+ (NSMenu *)menuWithTitles:(NSArray *)titles target:(id)target action:(SEL)action;

- (BOOL)isInMainMenu;

@end

@interface NSMenuItem (CHMenuItemAdditions)
+ (NSMenuItem *)smallItemWithTitle:(NSString *)itemName target:(id)aTarget action:(SEL)anAction;
@end